PDA

View Full Version : Dependency Error: Iseries Access for Linux



Rnet2
31st January 2007, 04:19 PM
When I try to install the iSeries Access for Linux RPM (iSeriesAccess-5.4.0-1.2.i386.rpm)

I receive the following dependency error.

"Unable to resolve dependencies for some packages."
Missing dependency: libXm.so.3 is needed by package iSeriesAccess

I know that the libXm.so.3 software has been replaced. Being the noob on the block how do I get around this?

Seve
31st January 2007, 06:12 PM
Hello:
libXm.so.3 used to be provided with openmotif [Pre FC6] . Openmotif was dropped due to licensing : http://fedora.redhat.com/docs/release-notes/fc6/en_US/sn-PackageNotes.html#id2974182
And according to the release notes you should probably install the
lesstif rpms
and see if that helps you.
or perhaps check / search for a generic openmotif rpm etc.

Seve

Rnet2
31st January 2007, 08:06 PM
Thanks for the post and the link. I installed lesstif but still have the same error. How do I tell the iSeries Access software to use lestif instead of the libXm.so.3 program?

Seve
31st January 2007, 10:14 PM
Hello:
I found an older fc src.rpm and rebuilt it for fc6
both the rpm and devel.rpm are in the same zip file along with a brief readme
You can grab it here if you wish.
You will first have to remove the lesstif rpm(s) that you installed
http://media3.filewind.com/g.php?filepath=3809
md5 81fcfa476c5db4b30774cdeaf40324c0
It may not be the prettiest, however, it should work for you

Seve

Rnet2
1st February 2007, 01:31 PM
Seve
Thanks for going out of your way. I'm pressed for time today, but I'm anxious to try your solution.
I let you know how I make out.

Beethoven2
19th August 2009, 04:19 PM
I have same problem too, finally I forced the installation ignoring the missing dependencies as I found a motif package containing libXm.so.3 but I think not in the right position as iSeries rpm tells me he need dependency, is there a way to fin where an rpm is looking for a shared objhect dependency??

THANKS!